Update template metadata without re-uploading file.
PATCH
/
api
/
v1
/
templates
/
{template_id}
Update template metadata
curl --request PATCH \
--url https://api.example.com/api/v1/templates/{template_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"metadata": {
"category": "<string>",
"tags": [
"<string>"
],
"description": "<string>",
"version": "<string>"
}
}
'import requests
url = "https://api.example.com/api/v1/templates/{template_id}"
payload = { "metadata": {
"category": "<string>",
"tags": ["<string>"],
"description": "<string>",
"version": "<string>"
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
category: '<string>',
tags: ['<string>'],
description: '<string>',
version: '<string>'
}
})
};
fetch('https://api.example.com/api/v1/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"file_size": 123,
"template_id": "<string>",
"org_name": "<string>",
"status": "<string>",
"metadata": {
"category": "<string>",
"tags": [
"<string>"
],
"description": "<string>",
"version": "<string>"
},
"download_url": "<string>",
"download_url_expires_in": 123,
"file_hash": "<string>",
"file_hash_algorithm": "<string>",
"content_type": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Production API key. Development/test deployments may also allow X-Org-Name.
Path Parameters
Body
application/json
Request schema for updating template metadata.
Template metadata.
Show child attributes
Show child attributes
Response
Successful Response
Template response schema.
Template metadata.
Show child attributes
Show child attributes
⌘I
Update template metadata
